---
title: MediaStreamEvent.stream
slug: Web/API/MediaStreamEvent/stream
tags:
  - Experimental
  - Expérimental(2)
  - MediaStreamEvent
  - Property
  - Read-only
  - Reference
  - Référence(2)
  - WebRTC
---
<p>{{APIRef("WebRTC")}}{{obsolete_header}}</p>

<p>The read-only property <strong><code>MediaStreamEvent.stream</code></strong> returns the {{domxref("MediaStream")}} associated with the event.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"> var stream = <em>event</em>.stream;</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">pc.onaddstream = function( ev ) {
                      alert("A stream (id: '" +
                            ev.stream.id +
                            "') has been added to this connection.");
                   };</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaStreamEvent.stream")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{event("addstream")}}, {{event("removestream")}}</li>
 <li>{{domxref("RTCPeerConnection")}}</li>
</ul>
